Page MenuHomePhabricator

Update to ordering of the sister project snippet display
Closed, ResolvedPublic

Description

Now that the recent RfC has concluded, as noted in T168697#3476093, we'll make a an adjustment to the sister project snippets display.

For English Wikipedia only:

  • update the ordering of the sister project snippets to always have Wikibooks be displayed last (if a result is available).

For all Wikipedias:

  • update the ordering of the sister project snippets to always have Wiktionary be displayed first (if a result is available).

Event Timeline

debt created this task.Jul 26 2017, 11:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 26 2017, 11:10 PM
gh87 added a subscriber: gh87.EditedJul 26 2017, 11:17 PM

I insist that this task be stalled, declined, or modified, and T168697 be reopened. The consensus did not agree with the inclusion of English Wikibooks; "no consensus" means defaulting to excluding it.

Never mind. I thought about (re-?)proposing to have the results excluded soon.

Oh well. I'll revisit this in a few months and see.

Change 368771 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Refactor ordering of crosspoject blocks

https://gerrit.wikimedia.org/r/368771

Change 368776 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] Tune ordering of crossproject search results on enwiki

https://gerrit.wikimedia.org/r/368776

Change 368771 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Refactor ordering of crosspoject blocks

https://gerrit.wikimedia.org/r/368771

Change 368776 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] Tune ordering of crossproject search results on enwiki

https://gerrit.wikimedia.org/r/368776

Mentioned in SAL (#wikimedia-operations) [2017-08-16T18:56:03Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:368776|cirrus Tune ordering of crossproject search results on enwiki]] T171803 PART I (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2017-08-16T18:57:29Z] <thcipriani@tin> Synchronized wmf-config/CirrusSearch-common.php: SWAT: [[gerrit:368776|cirrus Tune ordering of crossproject search results on enwiki]] T171803 PART II (duration: 00m 50s)

debt closed this task as Resolved.Aug 17 2017, 6:10 PM

This was completed on Aug 16, 2017; thanks @dcausse and @EBernhardson!